老旧电脑访问由Let's Encrypt签发证书的网站时提示不安全的问题

1、原因

LetsEncrypt证书未过期,但是其顶级ca根证书 “DST Root CA X3”在2021-09-01过期了,老旧设备上的win系统会被影响到。

2、解决步骤

1)下载三张Letsencrypt 的根证书 “DST Root CA X3” 的最新版本,包含isrgrootx1.der + isrg-root-x2.der + lets-encrypt-r3.der:

https://letsencrypt.org/certs/isrgrootx1.der

https://letsencrypt.org/certs/isrg-root-x2.der

https://letsencrypt.org/certs/lets-encrypt-r3.der

2)逐个双击打开,安装证书到“受信任的根证书颁发机构”,如图:

安装完成后重启浏览器即可


ssl

评论

我要评论

◎欢迎参与讨论,请在这里发表您的看法、交流您的观点。